package com.goafanti.patent.bo;

import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputPatentRegistration {
	
	private String	acceptanceReceiveTime;

	private String	acceptanceIssueTime;
	
	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	acceptanceTrackingNumber;

	@Size(min = 0, max = 8, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	acceptanceExpressCompany;
	
	private String	authorizationReceiveTime;

	private String	authorizationIssueTime;

	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	authorizationTrackingNumber;

	@Size(min = 0, max = 8, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	authorizationExpressCompany;

	private String	certificateRecieveTime;

	private String	certificateIssueTime;

	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	certificateTrackingNumber;

	@Size(min = 0, max = 8, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	certificateExpressCompany;

	public String getAcceptanceReceiveTime() {
		return acceptanceReceiveTime;
	}

	public void setAcceptanceReceiveTime(String acceptanceReceiveTime) {
		this.acceptanceReceiveTime = acceptanceReceiveTime;
	}

	public String getAcceptanceIssueTime() {
		return acceptanceIssueTime;
	}

	public void setAcceptanceIssueTime(String acceptanceIssueTime) {
		this.acceptanceIssueTime = acceptanceIssueTime;
	}

	public String getAcceptanceTrackingNumber() {
		return acceptanceTrackingNumber;
	}

	public void setAcceptanceTrackingNumber(String acceptanceTrackingNumber) {
		this.acceptanceTrackingNumber = acceptanceTrackingNumber;
	}

	public String getAcceptanceExpressCompany() {
		return acceptanceExpressCompany;
	}

	public void setAcceptanceExpressCompany(String acceptanceExpressCompany) {
		this.acceptanceExpressCompany = acceptanceExpressCompany;
	}

	public String getAuthorizationReceiveTime() {
		return authorizationReceiveTime;
	}

	public void setAuthorizationReceiveTime(String authorizationReceiveTime) {
		this.authorizationReceiveTime = authorizationReceiveTime;
	}

	public String getAuthorizationIssueTime() {
		return authorizationIssueTime;
	}

	public void setAuthorizationIssueTime(String authorizationIssueTime) {
		this.authorizationIssueTime = authorizationIssueTime;
	}

	public String getAuthorizationTrackingNumber() {
		return authorizationTrackingNumber;
	}

	public void setAuthorizationTrackingNumber(String authorizationTrackingNumber) {
		this.authorizationTrackingNumber = authorizationTrackingNumber;
	}

	public String getAuthorizationExpressCompany() {
		return authorizationExpressCompany;
	}

	public void setAuthorizationExpressCompany(String authorizationExpressCompany) {
		this.authorizationExpressCompany = authorizationExpressCompany;
	}

	public String getCertificateRecieveTime() {
		return certificateRecieveTime;
	}

	public void setCertificateRecieveTime(String certificateRecieveTime) {
		this.certificateRecieveTime = certificateRecieveTime;
	}

	public String getCertificateIssueTime() {
		return certificateIssueTime;
	}

	public void setCertificateIssueTime(String certificateIssueTime) {
		this.certificateIssueTime = certificateIssueTime;
	}

	public String getCertificateTrackingNumber() {
		return certificateTrackingNumber;
	}

	public void setCertificateTrackingNumber(String certificateTrackingNumber) {
		this.certificateTrackingNumber = certificateTrackingNumber;
	}

	public String getCertificateExpressCompany() {
		return certificateExpressCompany;
	}

	public void setCertificateExpressCompany(String certificateExpressCompany) {
		this.certificateExpressCompany = certificateExpressCompany;
	}
	
	
	
}
